#
# spec file for package fnotifystat
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fnotifystat
Version:        0.02.06
Release:        1.17
Summary:        File activity monitoring tool
License:        GPL-2.0-or-later
Group:          System/Monitoring
URL:            https://kernel.ubuntu.com/~cking/fnotifystat/
Source:         https://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz

%description
Fnotifystat periodically dumps out the activity on files in the system. It can
be used to identify rogue file activity and discover which processes are
performing open/close/read/write operations on the files.

%package bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Benchmark
Requires:       %{name} = %{version}
Requires:       bash-completion
Supplements:    (fnotifystat and bash-completion)
BuildArch:      noarch

%description bash-completion
Bash completion script for %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%make_build

%install
%make_install

%files
%license COPYING
%{_sbindir}/fnotifystat
%{_mandir}/man8/fnotifystat.8%{?ext_man}

%files bash-completion
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Sun Aug 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.02.06
  * code style cosmetic fixes
* Sun Mar  8 2020 Martin Hauke <mardnh@gmx.de>
- Supplement against bash-completion, not bash
* Sun Mar  8 2020 Martin Hauke <mardnh@gmx.de>
- Drop SLE12 compat ifdef
* Thu Feb 27 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.05
  * Fix early return from loop on bad fstat
  * Add device name information with -D and -I flags
* Wed Feb 26 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.04
  * Add bash completions
* Tue Aug 27 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.03
  * No funcional changes
* Sun Jul  7 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 0.02.02
  * Manual: fix spelling mistakes
  * Update copyright year
  * Add travis yaml file
* Sun Jun 17 2018 mardnh@gmx.de
- Update to version 0.02.01
  * Makefile: bump version
  * debian/copyright: use secure URI
  * debian/control: update dephelper to >= 11
  * debian/control: remove trailing empty line
  * debian/compat: update to 11
  * voidify unused function returns
  * Update copyright year
* Fri Jan  5 2018 mardnh@gmx.de
- update to version 0.02.00
  * Makefile: bump version to 0.02.00
  * debian/rules: remove extraneous space on line 5
  * debian/control: update Standards-Version to 4.1.2
  * unconsitfy pointer 'metadata' to fix a build warning
  * Fix build warning, include <sys/sysmacros.h>.
* Wed May 10 2017 mardnh@gmx.de
- update to version 0.01.17
  * Makefile: bump version
  * Manual: update copyright year and date
  * Add variable pid size handling.
  * Re-order declarations of mounts and mount in fnotify_event_init
  * Update copyright year to source
- update to version 0.01.16
  * Makefile: bump version
  * Remove extraneous declaration of ret to fix shadowing
  * constify fs1 fs2
  * Make some helper functions static
  * Makefile: add PEDANTIC flags
- update to version 0.01.15
  * Makefile: bump version
  * reduce scope of ptr
  * debian/control: update Standards-Version to 3.9.8
  * Update and correct copyright years
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
